Subject: bug#1386 closed by Glenn Morris <[email-masked]> (Re: bug#1386: 23.0.60; vc-git-diff: diff switches can't be customized)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1386: 23.0.60; vc-git-diff: diff switches can't be customized

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
1386: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1386
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Tue Nov 25 18:57:18 2008
From: Glenn Morris <[email-masked]>
To: [email-masked]
Subject: Re: bug#1386: 23.0.60; vc-git-diff: diff switches can't be customized
Date: Tue, 25 Nov 2008 21:56:57 -0500

2008-11-26  Glenn Morris  <[email-masked]>

            * vc-git.el (vc-git-diff-switches): New option.
            (vc-git-diff): Apply diff switches.  (Bug#1386)

>From [email-masked] Wed Nov 19 16:53:25 2008
From: Magnus Henoch <[email-masked]>
To: [email-masked]
Subject: 23.0.60; vc-git-diff: diff switches can't be customized
Date: Sun, 01 Jun 2008 16:12:46 +0200
Lines: 106
Sender: Glenn Morris <[email-masked]>

[ edited resend from
  http://lists.gnu.org/archive/html/emacs-devel/2008-06/msg00018.html ]

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I opened etc/spook.lines in the Emacs Git tree, typed C-x v l, put point
on one revision and typed d to see the diff.  The result was just:

Binary files a/etc/spook.lines and b/etc/spook.lines differ

I then added "-a" to vc-diff-switches, but this had no effect.

I then found that vc-git-diff doesn't obey _any_ of diff-switches,
vc-diff-switches and vc-git-diff-switches, though the docstring of
vc-diff-switches implies that it would.

In GNU Emacs 23.0.60.1 (powerpc-unknown-netbsd4.99.42, X toolkit, Xaw3d scroll bars)
 of 2008-05-29 on zemdatav
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--with-x-toolkit=athena' '--enable-maintainer-mod' '--without-rsvg''